CodeMirror shouldn't register its enable/disable tools with the New Wikitext Editor unless the beta feature is enabled
Closed, ResolvedPublic3 Story Points

Description

Per T172958#3528549, the 2017 WikiText Editor should not provide a Syntax Highlighting menu option unless $wgCodeMirrorBetaFeature is false or the syntax highlighting beta feature is enabled.

kaldari created this task.Aug 17 2017, 12:46 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptAug 17 2017, 12:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kaldari triaged this task as Normal priority.Aug 22 2017, 11:16 PM
kaldari set the point value for this task to 3.
Jdforrester-WMF renamed this task from New Wikitext Editor should only show syntax highlighting option when beta feature is enabled to CodeMirror shouldn't register its enable/disable tools with the New Wikitext Editor unless the beta feature is enabled.Aug 25 2017, 3:46 PM

Change 374898 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/CodeMirror@master] Respect beta feature in new wikitext editor

https://gerrit.wikimedia.org/r/374898

Change 374898 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Respect beta feature in new wikitext editor

https://gerrit.wikimedia.org/r/374898

kaldari closed this task as Resolved.Sep 29 2017, 5:38 AM
kaldari claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 29 2017, 5:38 AM
kaldari moved this task from Ready to Done on the Community-Tech-Sprint board.Sep 29 2017, 5:39 AM
DannyH moved this task from Backlog to Archive on the Community-Tech board.Oct 3 2017, 9:50 PM
Ivanhercaz removed a subscriber: Ivanhercaz.